Bug Hunting Session
Bug 102769 - Show formatting mark character next to each label in options dialog
Summary: Show formatting mark character next to each label in options dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.3.0
Keywords: needsUXEval
Depends on:
Blocks: Options-Dialog Formatting-Mark
  Show dependency treegraph
 
Reported: 2016-09-28 21:08 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-06 01:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup (73.74 KB, image/png)
2016-09-28 21:08 UTC, Yousuf Philips (jay) (retired)
Details
5.2 vs Master (126.49 KB, image/png)
2016-10-04 21:59 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-28 21:08:21 UTC
Created attachment 127707 [details]
mockup

In the options dialog > LibreOffice Writer > Formatting Aids, it would be useful to show the formatting mark character next to the checkbox labels, so it visually easier to identify things.
Comment 1 Heiko Tietze 2016-09-28 22:16:17 UTC
Sounds like a good idea. Perhaps it works also with brackets directly after the label.
Comment 2 Commit Notification 2016-09-30 02:15:04 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96e1fcbb41fdfa070f96dc7a6c8c9b9281de1e9d

tdf#102769 Options: Display formatting mark chars next to their labels

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) (retired) 2016-10-04 21:59:46 UTC
Created attachment 127813 [details]
5.2 vs Master

Looks good Adolfo except for the spacing after the formatting marks.
Comment 4 Adolfo Jayme 2016-10-04 22:06:29 UTC
I can increase the spacing between the two columns of options (to 18, maybe?), but I wanted to drop the “homogenous” property because it’s evil. It makes dialogs grossly oversized in other languages (see, e.g., bug 95178). Is this okay for you?

I will look at this again on the weekend maybe, as I need to work on this bug more anyway (when the “Tabs” checkbox is hidden, my patch creates an empty row due to my addition of the label “→”, and the code of this tab page needs to account for that label too when hiding the checkbox. Maybe somebody can help me out with that, to make it faster?)
Comment 5 Yousuf Philips (jay) (retired) 2016-10-06 01:40:20 UTC
(In reply to Adolfo Jayme from comment #4)
> I can increase the spacing between the two columns of options (to 18,
> maybe?), but I wanted to drop the “homogenous” property because it’s evil.
> It makes dialogs grossly oversized in other languages (see, e.g., bug
> 95178). Is this okay for you?

Yes please do increase the spacing, though i think 30+ would likely look better. There needs to be less space between the checkbox labels to the characters than from the characters to the next column.